## org.omg.CORBA
Class AbstractInterfaceDefHelper

    java.lang.Object
      |
      +--org.omg.CORBA.AbstractInterfaceDefHelper

public class AbstractInterfaceDefHelper
extends java.lang.Object

Helper class for : AbstractInterfaceDef

Author:
  OpenORB Compiler

Constructor Summary
`AbstractInterfaceDefHelper()`

Method Summary
`static AbstractInterfaceDef` `extract(Any a)` Extract AbstractInterfaceDef from an any
`static java.lang.String` `id()` Return the AbstractInterfaceDef IDL ID
`static void` `insert(Any a, AbstractInterfaceDef t)` Insert AbstractInterfaceDef into an any
`static AbstractInterfaceDef` `narrow(Object obj)` Narrow CORBA::Object to AbstractInterfaceDef
`static AbstractInterfaceDef` `read(InputStream istream)` Read AbstractInterfaceDef from a marshalled stream
`static TypeCode` `type()` Return the AbstractInterfaceDef TypeCode
`static AbstractInterfaceDef` `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to AbstractInterfaceDef
`static void` `write(OutputStream ostream, AbstractInterfaceDef value)` Write AbstractInterfaceDef into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractInterfaceDefHelper

    public AbstractInterfaceDefHelper()

Method Detail

### insert

    public static void insert(Any a,
                              AbstractInterfaceDef t)

  Insert AbstractInterfaceDef into an any
  Parameters:
    `a` - an any
    `t` - AbstractInterfaceDef value

### extract

    public static AbstractInterfaceDef extract(Any a)

  Extract AbstractInterfaceDef from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted AbstractInterfaceDef value

### type

    public static TypeCode type()

  Return the AbstractInterfaceDef TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the AbstractInterfaceDef IDL ID
  Returns:
    an ID

### read

    public static AbstractInterfaceDef read(InputStream istream)

  Read AbstractInterfaceDef from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed AbstractInterfaceDef value

### write

    public static void write(OutputStream ostream,
                             AbstractInterfaceDef value)

  Write AbstractInterfaceDef into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - AbstractInterfaceDef value

### narrow

    public static AbstractInterfaceDef narrow(Object obj)

  Narrow CORBA::Object to AbstractInterfaceDef
  Parameters:
    `obj` - the CORBA Object
  Returns:
    AbstractInterfaceDef Object

### unchecked_narrow

    public static AbstractInterfaceDef unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to AbstractInterfaceDef
  Parameters:
    `obj` - the CORBA Object
  Returns:
    AbstractInterfaceDef Object